<?php

use Illuminate\Http\Request;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

Route::middleware('auth:api')->get('/user', function (Request $request) {
    return $request->user();
});
Route::any('menuAdd', 'Api\SysMenuController@add');
Route::any('menuEdit', 'Api\SysMenuController@edit');
Route::any('menuDel', 'Api\SysMenuController@del');
Route::any('menuList', 'Api\SysMenuController@menuList');

Route::any('employeeAdd', 'Api\EmployeeController@employeeAdd');
Route::any('employeeEdit', 'Api\EmployeeController@employeeEdit');
Route::any('employeeDel', 'Api\EmployeeController@employeeDel');
Route::any('employeeList', 'Api\EmployeeController@employeeList');


Route::any('departAdd', 'Api\EmployeeController@departAdd');
Route::any('departEdit', 'Api\EmployeeController@departEdit');
Route::any('departDel', 'Api\EmployeeController@departDel');
Route::any('departList', 'Api\EmployeeController@departList');


Route::any('roleAdd', 'Api\EmployeeController@roleAdd');
Route::any('roleEdit', 'Api\EmployeeController@roleEdit');
Route::any('roleDel', 'Api\EmployeeController@roleDel');
Route::any('roleList', 'Api\EmployeeController@roleList');



Route::any('teamAdd', 'Api\EmployeeController@teamAdd');
Route::any('teamEdit', 'Api\EmployeeController@teamEdit');
Route::any('teamDel', 'Api\EmployeeController@teamDel');
Route::any('teamList', 'Api\EmployeeController@teamList');

Route::any('employeeDepart', 'Api\EmployeeController@employeeDepart');
Route::any('employeeTeam', 'Api\EmployeeController@employeeTeam');
Route::any('employeeRole', 'Api\EmployeeController@employeeRole');


Route::any('measureAdd', 'Api\MeasureController@Add');
Route::any('measureEdit', 'Api\MeasureController@Edit');
Route::any('measureDel', 'Api\MeasureController@Del');
Route::any('measureList', 'Api\MeasureController@measureList');



Route::any('basicMaterialList', 'Api\MaterialController@basicMaterialList');
Route::any('basicMaterialEdit', 'Api\MaterialController@basicMaterialEdit');
Route::any('basicMaterialAdd', 'Api\MaterialController@basicMaterialAdd');
Route::any('basicMaterialDel', 'Api\MaterialController@basicMaterialDel');

Route::any('materialList', 'Api\MaterialController@materialList');
Route::any('materialDetail', 'Api\MaterialController@materialDetail');
Route::any('materialEdit', 'Api\MaterialController@materialEdit');
Route::any('materialAdd', 'Api\MaterialController@materialAdd');
Route::any('materialDel', 'Api\MaterialController@materialDel');


Route::any('productList', 'Api\MaterialController@productList');
Route::any('productEdit', 'Api\MaterialController@edit');
Route::any('productAdd', 'Api\MaterialController@edd');
Route::any('productDel', 'Api\MaterialController@del');

Route::any('bomList', 'Api\bomController@bomList');
Route::any('bomEdit', 'Api\bomController@edit');
Route::any('bomAdd', 'Api\bomController@edd');
Route::any('bomDel', 'Api\bomController@del');
